KATE(1)

NAME
kate - Erweiterter Texteditor von KDE

ÜBERSICHT

kate [-s, --start name] [--startanon] [-n, --new] [-b, --block] [-p, --pid pid] [-e, --encoding name] [-l, --line line] [-c, --column column] [-i, --stdin] [--tempfile] [file]

BESCHREIBUNG

Kate ist der erweiterte Texteditor für KDE.

Kate stellt unter dem Namen KWrite außerdem den Editor für verschiedene Anwendungen bereit.

Einige der vielen Funktionen von Kate sind Quelltexthervorhebungen für Programmiersprachen von C und C++ über HTML bis zu Bash-Skripten, die Möglichkeit, Projekte zu erstellen und zu verwalten, eine Schnittstelle zum Multi-Dokument-Interface MDI und ein eingebauter Terminalemulator.

Kate ist jedoch mehr als nur ein Texteditor für Programmierer. Die Möglichkeit, viele Dateien gleichzeitig zu öffnen macht Kate zu einem idealen Texteditor für die unzähligen Konfigurationsdateien von UNIX®. Auch dieses Dokument wurde in Kate geschrieben.

OPTIONEN

-s, --start name
    Started Kate mit der angegebenen Sitzung.

--startanon
    Kate mit einer neuen, anonymen Sitzung starten. Impliziert -n.

-n, --new
    Kate in einer neuen Instanz starten. Dies wird ignoriert, wenn start benutzt wird und eine andere Instanz von Kate die angegebene Sitzung geöffnet hat. Wenn keine Parameter oder URLs angegeben sind, wird dieses Verhalten erzwungen.

-b, --block
    Wenn eine bereits laufende Instanz von Kate benutzt wird, wird diese blockiert, solange die angegebene URL geöffnet ist.

-p, --pid pid
    Versucht nur die Instanz von Kate mit der PID wiederzuverwenden. Dies wird ignoriert, wenn start benutzt wird und eine andere Instanz von Kate die angegebene Sitzung geöffnet hat.

-e, --encoding name
    Kodierung für die zu öffnende Datei festlegen

    Sie können diese Option benutzen, um das Öffnen eines Dokuments beispielsweise im utf-8-Format, zu erzwingen. (Der Befehl iconv -l gibt eine Liste der Kodierungen aus. Das kann hilfreich sein.)

-l, --line Zeile
    Bewegt den Cursor zur angegebenen Zeile

-c, --column Spalte
    Bewegt den Cursor zur angegebenen Spalte

-i, --stdin
    Liest den Inhalt von stdin

--tempfile
    Die von der Anwendung geöffneten Dateien/URLs werden nach Gebrauch gelöscht.

file
    Zu öffnende Datei

WEITERE INFORMATIONEN FINDEN SIE UNTER
    Zusätzliche Informationen finden Sie unter help:/kate (geben Sie entweder diese URL in Konqueror ein, oder starten Sie den Befehl khelpcenter help:/kate).
    kf5options(7)
    qt5options(7)
    Außerdem finden Sie weiterführende Informationen auf der Kate-Webseite[1].

BEISPIELE

Um ein Dokument mit dem Namen source.cpp in einem schon laufenden Kate-Fenster zu öffnen und den Cursor auf die Spalte 15 in der Zeile 25 zu setzen, können Sie den folgenden Befehl benutzen:

    kate -c 15 -l 25 source.cpp

Wenn Sie eine aktive Internetverbindung haben, dann können Sie die Möglichkeiten von KDE benutzen, Dokumente über ein Netzwerk zu auf einem FTP-Server zu öffnen, ohne dass dazu besondere Bedienhandlungen nötig sind. Wenn Sie auf dem entfernten Server keine Schreibberechtigung haben, dann wird das Dokument im Nur-Lese-Modus geöffnet und Kate fragt nach einem Namen, unter dem das Dokument nach Änderungen lokal gespeichert werden soll. Wenn Sie die nötigen Schreibberechtigungen haben, dann wird das Dokument einfach auf dem Server gespeichert.

    kate ftp://ftp.kde.org/pub/kde/README

AUTOREN

Der Betreuer von Kate ist Christoph Cullmann <cullmann@kde.org>. Eine ausführliche Liste der Autoren und Helfer finden Sie im oben genannten kompletten Benutzerhandbuch.

AUTOR

Lauri Watts <lauri@kde.org>
    Autor.

FUßNOTEN

1.  Kate-Webseite
    http://kate-editor.org/